Skip to main content
POST
Update Stroker Settings

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"alpha-bravo-charlie-delta"

Body

application/json

The stroker settings of the device.

low_position_shift
number

The low position shift of the stroker in mm.

Example:

1

high_position_shift
number

The high position shift of the stroker in mm.

Example:

1

max_velocity
number

The maximum velocity of the stroker in mm/s.

Example:

1

playback_rate
number<float>

Playback rate (1.0 = normal speed)

Example:

1

Response

200 - application/json

Updated Stroker Settings

The stroker settings of the device.

low_position_shift
number

The low position shift of the stroker in mm.

Example:

1

high_position_shift
number

The high position shift of the stroker in mm.

Example:

1

max_velocity
number

The maximum velocity of the stroker in mm/s.

Example:

1

playback_rate
number<float>

Playback rate (1.0 = normal speed)

Example:

1